Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageButterworthLowPass Class Reference

`#include <vtkImageButterworthLowPass.h>`

Inheritance diagram for vtkImageButterworthLowPass:

[legend]
Collaboration diagram for vtkImageButterworthLowPass:

[legend]
List of all members.

## Detailed Description

Frequency domain Low pass.

Date:
  2002/01/22 15:31:55

Revision:
  1.21

This filter only works on an image after it has been converted to frequency domain by a vtkImageFFT filter. A vtkImageRFFT filter can be used to convert the output back into the spatial domain. vtkImageButterworthLowPass the high frequency components are attenuated. Input and output are in floats, with two components (complex numbers). out(i, j) = (1 + pow(CutOff/Freq(i,j), 2*Order));

See also:
  vtkImageButterworthHighPass vtkImageFFT vtkImageRFFT

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (77%)
  - Lorensen, Bill (9%)
  - Martin, Ken (5%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageButterworthLowPass.h)`
  - .`cxx` (`/Imaging/vtkImageButterworthLowPass.cxx)`

Tests:
  vtkImageButterworthLowPass (Tests)

Definition at line 55 of file vtkImageButterworthLowPass.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetCutOff (float, float, float)
virtual void | SetCutOff (float[3])
void | SetCutOff (float v)
void | SetXCutOff (float v)
void | SetYCutOff (float v)
void | SetZCutOff (float v)
virtual float * | GetCutOff ()
virtual void | GetCutOff (float &, float &, float &)
virtual void | GetCutOff (float[3])
float | GetXCutOff ()
float | GetYCutOff ()
float | GetZCutOff ()
virtual void | SetOrder (int)
virtual int | GetOrder ()
## Static Public Methods
vtkImageButterworthLowPass * | New ()
int | IsTypeOf (const char *type)
vtkImageButterworthLowPass * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageButterworthLowPass ()
| ~vtkImageButterworthLowPass ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int outExt[6], int id)
## Protected Attributes
int | Order
float | CutOff [3]

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageButterworthLowPass::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 59 of file vtkImageButterworthLowPass.h.

## Constructor & Destructor Documentation

vtkImageButterworthLowPass::vtkImageButterworthLowPass | ( |  | ) | `[protected]`

vtkImageButterworthLowPass::~vtkImageButterworthLowPass | ( |  | ) | `[inline, protected]`

| Definition at line 86 of file vtkImageButterworthLowPass.h.

## Member Function Documentation

vtkImageButterworthLowPass* vtkImageButterworthLowPass::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageButterworthLowPass::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageButterworthLowPass::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageButterworthLowPass::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageButterworthLowPass* vtkImageButterworthLowPass::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageButterworthLowPass::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter.

virtual void vtkImageButterworthLowPass::SetCutOff | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing).

virtual void vtkImageButterworthLowPass::SetCutOff | ( | float | [3] | ) | `[virtual]`

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing).

void vtkImageButterworthLowPass::SetCutOff | ( | float | v | ) | `[inline]`

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing). Definition at line 67 of file vtkImageButterworthLowPass.h.

void vtkImageButterworthLowPass::SetXCutOff | ( | float | v | ) |

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing).

void vtkImageButterworthLowPass::SetYCutOff | ( | float | v | ) |

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing).

void vtkImageButterworthLowPass::SetZCutOff | ( | float | v | ) |

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing).

virtual float* vtkImageButterworthLowPass::GetCutOff | ( |  | ) | `[virtual]`

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing).

virtual void vtkImageButterworthLowPass::GetCutOff | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing).

virtual void vtkImageButterworthLowPass::GetCutOff | ( | float | [3] | ) | `[virtual]`

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing).

float vtkImageButterworthLowPass::GetXCutOff | ( |  | ) | `[inline]`

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing). Definition at line 72 of file vtkImageButterworthLowPass.h.

float vtkImageButterworthLowPass::GetYCutOff | ( |  | ) | `[inline]`

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing). Definition at line 73 of file vtkImageButterworthLowPass.h.

float vtkImageButterworthLowPass::GetZCutOff | ( |  | ) | `[inline]`

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing). Definition at line 74 of file vtkImageButterworthLowPass.h.

virtual void vtkImageButterworthLowPass::SetOrder | ( | int |  | ) | `[virtual]`

| The order determines sharpness of the cutoff curve.

virtual int vtkImageButterworthLowPass::GetOrder | ( |  | ) | `[virtual]`

| The order determines sharpness of the cutoff curve.

void vtkImageButterworthLowPass::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | outExt[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

int vtkImageButterworthLowPass::Order`[protected]`

| Definition at line 88 of file vtkImageButterworthLowPass.h.

float vtkImageButterworthLowPass::CutOff[3]`[protected]`

| Definition at line 89 of file vtkImageButterworthLowPass.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageButterworthLowPass.h